Bug 1119868 - On kernel upgrade to 3.15.x, FONT argument in /etc/vconsole.font is ignored
Summary: On kernel upgrade to 3.15.x, FONT argument in /etc/vconsole.font is ignored
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 20
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1131914
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 17:14 UTC by Benjamin Masse
Modified: 2015-06-29 21:36 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:36:04 UTC


Attachments (Terms of Use)
personal custom vconsole.conf file (39 bytes, text/plain)
2014-07-15 17:14 UTC, Benjamin Masse
no flags Details
journalctl --this-boot export (281.60 KB, text/plain)
2014-08-30 16:01 UTC, Benjamin Masse
no flags Details

Description Benjamin Masse 2014-07-15 17:14:08 UTC
Created attachment 918205 [details]
personal custom vconsole.conf file

Description of problem:
On kernel upgrade to 3.15.x, FONT argument in /etc/vconsole.font is ignored
defaut Latarcyheb is displayed instead

Version-Release number of selected component (if applicable):
3.15.3
3.15.4

How reproducible:
Everytime

Steps to Reproduce:
1. Customize /etc/vconsole.conf so that it contains a FONT argument, ie FONT="Lat2-Terminus16"
2. Upgrade to 3.15.x kernel
3. Press TAB or any arrow during boot or switch to another tty

Actual results:
Defaut Latarcyheb is displayed instead

Expected results:
Custom FONT argument should display, as with kernel previous kernel 3.1x.x releases

Additional info:
KEYMAP argument is handled correctly though (ie. KEYMAP="fr-oss")

Comment 1 Josh Boyer 2014-07-15 18:35:42 UTC
What else was upgraded around or before the 3.15.x kernels?  Your yum history should show this information.

Also, does your initramfs contain a copy of /etc/vconsole.conf?  You can figure this out by using lsinitrd /boot/initramfs-<version>.img | grep vconsole

This is more likely a bug in systemd or dracut than the kernel itself.

Comment 2 Benjamin Masse 2014-07-15 19:50:04 UTC
Hi Josh.

I'm curently running the latests dracut & systemd versions, ie
dracut-037-11.git20140402.fc20.x86_64
&
systemd-208-19.fc20.x86_64


Not sure how to interpret the output of your recommended command line:

sudo lsinitrd /boot/initramfs-3.15.4-200.fc20.x86_64.img | grep vconsole
-rw-r--r--   1 root     root           39 Dec 14  2013 etc/vconsole.conf
lrwxrwxrwx   1 root     root           33 Jul 15 17:49 usr/lib/systemd/system/dracut-emergency.service.wants/systemd-vconsole-setup.service -> ../systemd-vconsole-setup.service
-rwxr-xr-x   1 root     root        45048 Jul 15 17:49 usr/lib/systemd/systemd-vconsole-setup
lrwxrwxrwx   1 root     root           33 Jul 15 17:49 usr/lib/systemd/system/emergency.target.wants/systemd-vconsole-setup.service -> ../systemd-vconsole-setup.service
lrwxrwxrwx   1 root     root           33 Jul 15 17:49 usr/lib/systemd/system/rescue.service.wants/systemd-vconsole-setup.service -> ../systemd-vconsole-setup.service
lrwxrwxrwx   1 root     root           33 Jul 15 17:49 usr/lib/systemd/system/systemd-ask-password-console.service.wants/systemd-vconsole-setup.service -> ../systemd-vconsole-setup.service
lrwxrwxrwx   1 root     root           33 Jul 15 17:49 usr/lib/systemd/system/systemd-ask-password-plymouth.service.wants/systemd-vconsole-setup.service -> ../systemd-vconsole-setup.service
-rw-r--r--   1 root     root          690 Jun 21 17:29 usr/lib/systemd/system/systemd-vconsole-setup.service

Comment 3 Benjamin Masse 2014-07-20 21:19:22 UTC
KEYMAP argument is handled correctly though (ie. KEYMAP="fr-oss")
Currently in testing systemd-208-20.fc20 mentions virtual console font fixes among other bug fixes.
Curiously enough, 3.15.x kernels running on my Mac VirtualBox are not affected.
Please advise whether I should close this report or change the component to systemd Josh.

Comment 4 Benjamin Masse 2014-07-22 10:14:05 UTC
sudo lsinitrd /boot/initramfs-3.15.6-200.fc20.x86_64.img | grep Lat2
-rw-r--r--   1 root     root         2022 Nov 27  2013 usr/lib/kbd/consolefonts/Lat2-Terminus16.psfu.gz

Comment 5 Harald Hoyer 2014-08-12 10:28:52 UTC
What is the output of:

# lsinitrd -f /etc/vconsole.conf /boot/initramfs-<version>.img 
# cat /proc/cmdline

Comment 6 Benjamin Masse 2014-08-12 10:31:36 UTC
sudo lsinitrd -f /etc/vconsole.conf /boot/initramfs-3.15.8-200.fc20.x86_64.img 
KEYMAP="fr-oss"
FONT="Lat2-Terminus16"

sudo cat /proc/cmdline 
BOOT_IMAGE=/vmlinuz-3.15.8-200.fc20.x86_64 root=/dev/mapper/fedora_bmasse-root ro rd.lvm.lv=fedora_bmasse/root rd.luks.uuid=luks-3da5eea2-3176-44cc-a834-177834a0a88d vconsole.font=Lat2-Terminus16 rd.lvm.lv=fedora_bmasse/swap rhgb quiet LANG=fr_FR.utf8

Comment 7 Harald Hoyer 2014-08-12 10:43:25 UTC
So, we have  usr/lib/kbd/consolefonts/Lat2-Terminus16.psfu.gz in the initramfs and kernel command line and vconsole.conf setup correctly.

So, as soon as you are asked a password with plymouth or on the console, systemd-vconsole-setup.service should be started ( comment 2 ) and set the font in the initramfs.

But if not, it is not dracut's fault.

See comment 1 :
3. Press TAB or any arrow during boot or switch to another tty

I guess this is in the real system and not in the initramfs.

Reassigning to systemd.

Comment 8 Benjamin Masse 2014-08-30 16:01:38 UTC
Created attachment 932917 [details]
journalctl --this-boot export

After booting without the 'quiet' argument, font actually does switch to font specified in vconsole.conf but falls back to Latarcyheb when around encountering [drm:cpt_serr_int_handler] *ERROR* PCH transcoder A FIFO underrun
and prior to entering LUKS passphrase

Filled BZ https://bugzilla.redhat.com/show_bug.cgi?id=1131914 
Kernel > 3.15.3 [drm:cpt_serr_int_handler] *ERROR* PCH transcoder A FIFO underrun (xorg-x11-drv-intel)

Please advise whether it's an actual systemd bug or not.

Comment 9 Zbigniew Jędrzejewski-Szmek 2014-08-30 16:48:02 UTC
(In reply to Benjamin Masse from comment #8)
> Please advise whether it's an actual systemd bug or not.
Probably not. We expect the font to stay put once set. Let's see if resolving #1131914 fixes your problem.

Comment 11 Fedora End Of Life 2015-05-29 12:22:48 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 21:36:04 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.